<!DOCTYPE html>
<html lang="en">
<head>
    <title>eventos HTML</title>
</head>
<body>
    <p>Eventos HTML</p>
  <button onclick="this.innerHTML=Date();">El fecha es ?</button> 
    <button id="idBoton" onclick="muestraMensaje()" title="Click !!">Click aqui...</button>
    <script type="text/javascript">
       function muestraMensaje() {
           console.log("Gracias por el 'click' ");
       }

       document.getElementById("idBoton").onclick = muestraMensaje();
    </script>
</body>
</html>